using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "cybernétiques")]
    public class Cybernétique : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "type")]
        public string? Type { get; set; }

        [XmlAttribute(AttributeName = "effet_qualité_médiocre")]
        public string? EffetQualitéMédiocre { get; set; }

        [XmlAttribute(AttributeName = "effet_qualité_moyenne")]
        public string? EffetQualitéMoyenne { get; set; }

        [XmlAttribute(AttributeName = "effet_qualité_bonne")]
        public string? EffetQualitéBonne { get; set; }

        [XmlAttribute(AttributeName = "effet_qualité_exceptionnelle")]
        public string? EffetQualitéExceptionnelle { get; set; }

        [XmlAttribute(AttributeName = "cout")]
        public string? Cout { get; set; }

        [XmlAttribute(AttributeName = "disponibilité")]
        public string? Disponibilité { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string? Description { get; set; }
        [XmlIgnore] public int CybernétiqueId { get; set; }
    }


}
